#pragma once
#include "terrainModificationTechnique.h"



class rampedEllipsoidTechnique : public terrainModificationTechnique
{
public:
	rampedEllipsoidTechnique();
	~rampedEllipsoidTechnique();

	void modifyHeightfield(osg::Vec4d& modificationROI, osg::HeightField* h, osg::Vec4d tileExtends);
	void setModifiedHeight(double height) {_height=height;}
	void setRampWidth_percent(double rampWidth_percent) {_rampWidth_percent=rampWidth_percent;}

private:
	double _height;
	double _rampWidth_percent;
};